Get an amenity by ID
Get an amenity by ID
Amenities only appear in the Yardi responses when they're associated with a unit or property and have a corresponding MITS amenity mapping value. To indicate a property level amenity only set a MITS property level mapping for that amenity. To indicate a unit level amenity only set a MITS unit level mapping for that amenity. To indicate a property level amenity that is also a unit level amenity, set a MITS property level mapping and a MITS unit level mapping.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
amenity_id
The ID of the resource.
Query parameters
order-by
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
updated_at_gte
Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
updated_at_lte
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
last_seen_gte
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
last_seen_lte
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
offset
Can be used for paginating results
limit
A number between 1 and 250 to determine the number of results to return in a single query
Response
Successful response
meta
results
Errors
400
Bad Request Error

